const remote = window.ReactNativeElectron;
const eventHandlers = new Map();
export const addEventListener = (type, handler) => {
  if (type === 'url' && typeof handler === 'function') {
    const wrapHandler = (event, url) => {
      handler({
        type,
        url
      });
    };

    eventHandlers.set(handler, wrapHandler);
    remote.appOpenURL.addListener(wrapHandler);
  }
};
export const removeEventListener = (type, handler) => {
  if (type === 'url' && typeof handler === 'function') {
    const wrapHandler = eventHandlers.get(handler);

    if (wrapHandler) {
      remote.appOpenURL.removeListener(wrapHandler);
    }

    eventHandlers.delete(handler);
  }
};
export const openURL = async url => {
  await remote.openURL(url);
}; // Apply same behavior as RNW

export const canOpenURL = () => Promise.resolve(true);
export const getInitialURL = async () => {
  return (await remote.getInitialURL()) || null;
};