"use strict";

exports.__esModule = true;
exports.alert = void 0;
const remote = window.ReactNativeElectron;

const alert = (title, message, buttons = [], type = 'none') => {
  void remote.showAlert({
    type,
    buttons: buttons.map(b => b.text),
    message: title,
    detail: message
  }).then(response => {
    const button = buttons[response];

    if (button && button.onPress) {
      button.onPress();
    }
  });
};

exports.alert = alert;