"use strict";

exports.__esModule = true;
exports.sendOpenURL = sendOpenURL;

var _electron = require("electron");

// Alert module
_electron.ipcMain.handle('react-native-show-alert', async (event, options) => {
  const window = _electron.BrowserWindow.fromWebContents(event.sender);

  if (window != null) {
    const {
      response
    } = await _electron.dialog.showMessageBox(window, options);
    return response;
  }
}); // Linking module


const appOpenURLTargets = new WeakSet();

function sendOpenURL(url) {
  for (const window of _electron.BrowserWindow.getAllWindows()) {
    if (appOpenURLTargets.has(window.webContents)) {
      window.webContents.send('react-native-app-open-url', url);
    }
  }
}

_electron.ipcMain.handle('react-native-add-app-open-url', event => {
  appOpenURLTargets.add(event.sender);
});

_electron.ipcMain.handle('react-native-get-initial-url', () => {
  return Promise.resolve(process.argv[1]);
});

_electron.ipcMain.handle('react-native-open-url', async (event, url) => {
  await _electron.shell.openExternal(url);
}); // Internal


_electron.ipcMain.on('react-native-supported', event => {
  event.returnValue = true;
});