"use strict";

var _electron = require("electron");

function addAppOpenURLListener(listener) {
  _electron.ipcRenderer.addListener('react-native-app-open-url', listener);

  void _electron.ipcRenderer.invoke('react-native-add-app-open-url');
}

function removeAppOpenURLListener(listener) {
  _electron.ipcRenderer.removeListener('react-native-app-open-url', listener);
}

async function getInitialURL() {
  return await _electron.ipcRenderer.invoke('react-native-get-initial-url');
}

async function openURL(url) {
  await _electron.ipcRenderer.invoke('react-native-open-url', url);
}

async function showAlert(config) {
  await _electron.ipcRenderer.invoke('react-native-show-alert', config);
}

_electron.contextBridge.exposeInMainWorld('ReactNativeElectron', {
  appOpenURL: {
    addListener: addAppOpenURLListener,
    removeListener: removeAppOpenURLListener
  },
  getInitialURL,
  openURL,
  showAlert,
  platform: process.platform
});